package com.eitc.modules.devtools.service;


import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.devtools.entity.TableInfoEntity;

import java.util.Map;

/**
 * 表
 *
 * @author Mark eitc@163.com
 */
public interface TableInfoService extends BaseService<TableInfoEntity> {

    PageData<TableInfoEntity> page(Map<String, Object> params);

    TableInfoEntity getByTableName(String tableName);

    void deleteByTableName(String tableName);

    void deleteBatchIds(Long[] ids);
}